# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile

-verbose
-optimizationpasses 14
-allowaccessmodification
-overloadaggressively
-flattenpackagehierarchy
-keeppackagenames doNotKeepAThing
-ignorewarnings

-obfuscationdictionary dictionary.txt
-classobfuscationdictionary classdictionary.txt

-include proguard-LoggingRemoval.pro
# **********************************************************************************************************
-keep class * { native <methods>; }
-keep class androidx.core.app.** { public *; }
-keep class com.google.android.** { *; }
-keep class com.google.mlkit.** { *; }
-keep interface com.google.android.** { *; }
-keep class com.google.android.gms.** { *; }
-keep class com.google.firebase.** { *; }
# **********************************************************************************************************
-keep class net.sqlcipher.** { *; }
-keep public class * implements com.bumptech.esglide.module.GlideModule
-keep public class * extends com.bumptech.esglide.module.AppGlideModule
-keep public enum com.bumptech.glide.load.ImageHeaderParser$** { **[] $VALUES; public *; }
-keep public class io.nexilis.service.** { *; }
# **********************************************************************************************************
-keep class net.zetetic.database.sqlcipher.** { *; }

-keep public class javax.mail.** { *; }
-keep public class com.sun.mail.** { *; }
-keep public class org.apache.harmony.** { *; }
